package com.zhentao.user.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Data
public class UserRegister {
    //手机号
    @NotBlank(message = "手机号不能为空")
    @Pattern(regexp = "^1[3-9]\\d{9}$",message = "手机号格式不正确" )
    private String phone;

    //验证码
    @NotBlank(message = "验证码不能为空")
    private String code;

    //用户名
    @NotBlank(message = "用户名不能为空")
    private String username;

    //密码
    @NotBlank(message = "密码不能为空")
    private String password;
}
