package com.zhentao.Ai.dto;

import lombok.Builder;
import lombok.Data;

import java.util.List;

@Data
@Builder
public class DeeseekRequest {
    private String model;
    private List<Message> messages;
    private boolean stream;  // 关键：新增 stream 字段，控制是否流式输出

    @Data
    @Builder
    public static class Message {
        private String role;
        private String content;
    }
}
